Ruby 1.9.3.

Krenula sam da učim Ruby i da ne bih opet napravila glupost kao pre neki dan…, bolje da pitam za asistenciju pri instalaciji. Hoću da instaliram verziju 1.9.3., ali koliko sam sama kopala, nije dostupna za Linux, ili grešim? Kako god i koja god verzija bila, molim nekog da mi da savet kako i odakle da instaliram.

:slight_smile:

Mozes na Mintu iz repozitorija trenutno da instaliras 1.9.1

sudo apt-get install ruby1.9.1

S obzirom da je on bitna open sorce tehnologija na mnogim distribucijama dolazi po defaultu, prvo proveri da li ga vec imas i koju verziju sa komandom:

ruby -v

Nakon instalacije, odma mozes pokrenuti njegov interaktivni interpreter:

irb 

U slucaju da ti treba Ruby on Rails framework, i on se vrlo lako instalira:

sudo apt-get install rails

Jako me zanima šta znači ovaj ispis: ldconfig deferred processing now taking place

Idconfig je u sustini program koji odredjuje koje biblioteke da se ucitaju i odakle.

Jel uspes da pokrenes irb ili ne? Ako da, slobodno ignorisi error.

Pokrenula sam, radim već uveliko! Hvala ti još jednom. :slight_smile:

No prob, srecno sa ucenjem :slight_smile: :slight_smile:

I jos napomena za urednike, preporucujem da premestite temu u programiranje i paketi